# sbd2024

- Prof. Stéphane Malandain 
- Assistants : Deniz Koprulu et Joël Von der Weid

## Organisation technique

- Etape 1 : liker le _repo_
- Etape 2 : cloner le _repo_:
```
https://gitedu.hesge.ch/stephane.malandai/sbd2023.git
```
- Mise à jour du _repo_:
```
git pull
```
## Organisation administrative

### Groupe jour

- Systèmes de base de données / ISC_431 / 
- Horaires: 11h15-12h00 - 13h00-14h30

### Disponibilités des assistants/enseignants

- Stéphane Malandain (enseignant principal) 
  - Vous pouvez me contacter par email pour prendre rendez-vous ou pour des questions administratives ou d'ordre général
  - Vos questions **techniques et théoriques seront ignorées** -> venez au cours,
    - Je réponds toutefois à vos questions à mon bureau en **B506** le **jeudi de 13h à 15h**
-  Deniz Koprulu répond à vos questions à son bureau **A403** les: 
    - lundi, jeudi et vendredi toute la journée
-  Joël von der Weid répond à vos questions à son bureau **A403** les: 
    - lundi matin, mardi après-midi et mercredi

## Programme

### Semaine 1 - 19 février

- chapitre 0 
- chapitre 1 - Intro Base de données 
- chapitre 2 - Modélisation EA

### Semaine 2 - 26 février

- chapitre 2 - modélisation EA - Quizz
- exercices serie 1 et 2

### Semaine 3 - 04 mars

- Chapitre 3 : modélisation relationnelle
- exercices 

### Semaine 4 - 11 mars

- correction exercices serie 2
- exercices serie 3

### Semaine 5 - 18 mars

- qcm 15 mn sur cyberlearn : chapitres 0,1,2,3
- chapitre 4 - formalisation des bases de données relationnelles
- Exercices serie 3 et 4
  
### Semaine 6 - 25 mars 

- qcm 10 mn sur cyberlearn : chapitres 3,4
- corrigé d'exercices serie 3
- exercices serie 4

### Semaine 7 

- **Vacances**

### Semaine 8 - 08 avril 

- Test 1 : modèle EA et modèle relationnel

### Semaine 9 - 15 Avril

- chapitre 5 - algèbre relationnelle
- chapitre 6 : Le SQL
- correction exercices serie 4
- exercices serie 5 

### Semaine 10 - 22 Avril 

- qcm 10/15 mn sur cyberlearn : chapitres 5,6
- exercices serie 5 et 6

### Semaine 11 - 29 avril

- TP : mise en place de Sqlite
- correction epreuve 1
- correction exercices série 5

### Semaine 12 -  6 mai

- correction epreuve 1 (fin)
- correction serie 6
- tp

### Semaine 13 - 13 mai

- chapitre 7 - Formes normales
- chapitre 8 - NoSql et MongoDB 
– Présentation TP MongoDB

### Semaine 14 - 20 mai - pentecote 

- Pas de cours mais .... => TP MongoDB

### Semaine 15 - 27 mai 

- qcm 15 mn sur cyberlearn : chapitres 7 et 8
- TP MongoDB

### Semaine 16 - 3 juin

- Test final
- Vos droits: deux feuilles de notes manuscrites individuelles recto-verso écrites à la main

### Semaine 17 - 10 juin

- TP MongoDB
- Rendu TPs : 12 Juin
 
### Tp à rendre : 

### Partie 1 : 

Vous devez réaliser votre base de données selon votre sujet validé, avec SQlite

A rendre :

- un rapport (max. 4 pages) comprenant
  - Votre modèle EA avec notes et limitations
  - Votre modèle relationnel avec notes et limitations
  - Si vos modèles sont trop élaborés, vous pouvez prendre un périmètre restreint de votre modèle rel. précédent
  - Un fichier `.sql` qui crééer la bd et la peuple
    - 6 tables minimum
    - 1 trigger => https://www.sqlite.org/lang_createtrigger.html#:~:text=The%20CREATE%20TRIGGER%20statement%20is,%3A%20DELETE%2C%20INSERT%2C%20UPDATE.
  - 12 requêtes SQL testées à l'aide de votre BD

### Partie 2 : 

Vous devez 'migrer' cette base de données vers le SGDB MongoDB.
- exporter vos fichiers depuis SQlite vers un format Json ou autre, que vous pouvez facilement importer vers MongoDB. Vous devez rendre vos fichiers sources et la commande correspondante pour réaliser l'importation vers MongoDB.

- Vous devez réaliser (et rendre) sur ce SGBD les requêtes suivantes :
  - 1 requête d'insertion
  - 1 requête de modification
  - 1 requête de suppression.
  - 2 requêtes de recherche (avec projection et sélection)
  - 1 requête d'aggregation
  - 1 requête MapReduce

Vous devez rendre en partie 2 de votre rapport les explications nécessaires pour tester ces requêtes. Enfin, vous rendez ce travail dans les fichiers adéquats pour que l'on puisse le tester.

Ce travail est à envoyer par mail aux 2 assistants (Joel Von Der Wied et Deniz Koprulu) et à moi-même.


